Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6238797

after degrade installation JVM is showing lower version instead of higher version on 1.4.2_08-b02

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P4
    • Resolution: Won't Fix
    • Affects Version/s: 1.4.2_05, 1.4.2_08
    • Fix Version/s: 6
    • Component/s: install
    • Subcomponent:
    • CPU:
      generic
    • OS:
      generic, solaris

      Description

      After degrade package installation JVM is showing lower version instead of higher version
      After degrade package installation JVM is showing lower version
      I can reproduce the problem in the following configurations
      Sol10-x86,Sol10-sparc,Sol9-Sparc,Sol9-x86,Sol8-sparc,Sol8-x86 .

      I tested the issue in following combinations
      142_08-b02-->142_07-b05
      142_08-b01-->142_07-b05
      142_07-b05-->147_06-b01
      142_08 b03-->142fcs

      Steps to reproduce
      ------------------
      1)
      Install pkg based 1.4.2_08-b02

      # java -version
      java version "1.4.2_08"
      Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_08-b02)
      Java HotSpot(TM) Client VM (build 1.4.2_08-b02, mixed mode)

      # /usr/jdk/j2sdk1.4.2_08/bin/java -version
      java version "1.4.2_08"
      Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_08-b02)
      Java HotSpot(TM) Client VM (build 1.4.2_08-b02, mixed mode)

      2)
      Install package based 1.4.2_07-b05 without uninstalling previous one

      # java -version
      java version "1.4.2_07"
      Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_07-b05)
      Java HotSpot(TM) Client VM (build 1.4.2_07-b05, mixed mode)

      # /usr/jdk/j2sdk1.4.2_07/bin/java -version
      java version "1.4.2_07"
      Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_07-b05)
      Java HotSpot(TM) Client VM (build 1.4.2_07-b05, mixed mode)

      # /usr/jdk/j2sdk1.4.2_08/bin/java -version
      java version "1.4.2_07"
      Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_07-b05)
      Java HotSpot(TM) Client VM (build 1.4.2_07-b05, mixed mode)

      3)
      # cd /usr/jdk/
      # ls
      instances j2sdk1.4.2_07 j2sdk1.4.2_08 packages

      There are two issues i found here
      -------------------------------
      A)
      As per functionality /usr/bin/java should take higher installed version(1.4.2_08-b02).
      but its not taking its taking current installed version (1.4.2_07-b05)

      B)
      If i execute the java file in /usr/jdk/j2sdk1.4.2_08
      ./java -version
      it should point to 1.4.2_08-b02 but its not pointing.
      ###@###.### 2005-03-10 13:47:54 GMT

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              jkowalsksunw Joseph Kowalski (Inactive)
              Reporter:
              vmnsunw Vishnupriya Mn (Inactive)
              Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Imported:
                Indexed: